
/* This code takes the original Census data from c92_merged.dta to generate the JHR replication data JHR_data_6 */


clear
use c92_merged, clear 
set more off

******************************* regressions ***********************************


* main variables
gen early=(ch_bmonth>=1 & ch_bmonth<=6) if (ch_bmonth>=1 & ch_bmonth<=12)
gen late=(ch_bmonth>=7 & ch_bmonth<=12) if (ch_bmonth>=1 & ch_bmonth<=12)
gen b1990=(ch_byear==1990) 
gen b1991=(ch_byear==1991)
gen unwanted=early*b1990
gen wanted=!unwanted

* kiki's definitions
gen before=early
gen cohort=b1991

* additional interactions for spec1
gen trend=ch_bmonth
gen trend2=ch_bmonth*ch_bmonth

* additional interactions for spec3
forvalues month=1/12 {
	gen bmonth`month'=(ch_bmonth==`month')
}

*redefine education variables
gen secondary_alt=secondary
replace secondary_alt=1 if gym==1

**********************************
**** keep relevant variables  ****
**********************************

keep pri secondary_alt higher urban married divorced children age trend cohort bmonth* before ch_byear wanted


************************
**** Save new file  ****
************************

save JHR_data_6, replace

